QuantLib: HaganPricer Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
HaganPricer Class Referenceabstract

CMS-coupon pricer. More...

`#include <ql/cashflows/conundrumpricer.hpp>`

Inheritance diagram for HaganPricer:
[legend]

## Public Member Functions
virtual Real | swapletPrice () const =0
virtual Rate | swapletRate () const
virtual Real | capletPrice (Rate effectiveCap) const
virtual Rate | capletRate (Rate effectiveCap) const
virtual Real | floorletPrice (Rate effectiveFloor) const
virtual Rate | floorletRate (Rate effectiveFloor) const
Real | meanReversion () const
void | setMeanReversion (const Handle< Quote > &meanReversion)
Public Member Functions inherited from CmsCouponPricer
| CmsCouponPricer (const Handle< SwaptionVolatilityStructure > &v=Handle< SwaptionVolatilityStructure >())
Handle< SwaptionVolatilityStructure > | swaptionVolatility () const
void | setSwaptionVolatility (const Handle< SwaptionVolatilityStructure > &v=Handle< SwaptionVolatilityStructure >())
Public Member Functions inherited from FloatingRateCouponPricer
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions
| HaganPricer (const Handle< SwaptionVolatilityStructure > &swaptionVol, GFunctionFactory::YieldCurveModel modelOfYieldCurve, const Handle< Quote > &meanReversion)
void | initialize (const FloatingRateCoupon &coupon)
virtual Real | optionletPrice (Option::Type optionType, Real strike) const =0

## Protected Attributes
ext::shared_ptr< YieldTermStructure > | rateCurve_
GFunctionFactory::YieldCurveModel | modelOfYieldCurve_
ext::shared_ptr< GFunction > | gFunction_
const CmsCoupon * | coupon_
Date | paymentDate_
Date | fixingDate_
Rate | swapRateValue_
DiscountFactor | discount_
Real | annuity_
Real | gearing_
Spread | spread_
Real | spreadLegValue_
Rate | cutoffForCaplet_
Rate | cutoffForFloorlet_
Handle< Quote > | meanReversion_
Period | swapTenor_
ext::shared_ptr< VanillaOptionPricer > | vanillaOptionPricer_

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

CMS-coupon pricer.

Base class for the pricing of a CMS coupon via static replication as in Hagan's "Conundrums..." article